sc::SCMatrixListSubblockIter(3)

NAME
sc::SCMatrixListSubblockIter -

SYNOPSIS

Inherits sc::SCMatrixSubblockIter.

Inherited by sc::DistSCMatrixListSubblockIter, and sc::ReplSCMatrixListSubblockIter.

  Public Member Functions
SCMatrixListSubblockIter (Access, const Ref< SCMatrixBlockList > &list)
void begin ()
Start at the beginning.
int ready ()
Returns nonzero if there is another block.
void next ()
Proceed to the next block.
SCMatrixBlock * block ()
Return the current block.

  Protected Attributes
Ref< SCMatrixBlockList > list_
SCMatrixBlockListIter iter_

  Additional Inherited Members

Author

Generated automatically by Doxygen for MPQC from the source code.